Subject: Ticket Assigned - Delivery
From: Landmark Group <[email-masked]>
To: [email-masked]
Date: Wed, 17 Mar 2021 08:49:27 +0000

Hi Alka Pandey,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delivery This is the worst company I have ever ever received an item from . I ordered a bed to be delivered last night . I arranged my whole schedule so I could revive the order and still I have not received the item . This is simply not good enough and I will be writing public reviews about this company . 

I need someone to call me urgently on 0544600264 ! Urgently or I will go onto many platforms and discuss the bad service etc https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2249581